blog/urls.py
from django.urls import path

from blog.views import listele, goruntule

urlpatterns = [
    path('', listele),
    path('gonderi/<int:gonderi_id>/', goruntule),
]

kelimebaski/urls.py
from django.conf import settings
from django.contrib import admin
from django.urls import path, include
from blog.urls import urlpatterns as blog_urls

urlpatterns = [
    path('admin/', admin.site.urls),
    path('blog/', include(blog_urls)),
]
if settings.DEBUG:
    import debug_toolbar
    urlpatterns = [
        path('__debug__/', include(debug_toolbar.urls)),

        # For django versions before 2.0:
        # url(r'^__debug__/', include(debug_toolbar.urls)),

    ] + urlpatterns

blog/models.py
from django.db import models


# Create your models here.
class Gonderi(models.Model):
    baslik = models.CharField(max_length=32, verbose_name="Başlık")
    icerik = models.TextField(verbose_name="İçerik")
    olusturulma = models.DateTimeField(auto_now_add=True)

    class Meta:
        verbose_name = "post"
        verbose_name_plural = "posts"

    def __str__(self):
        return f"<Gonderi baslik='{self.baslik}' icerik='{self.icerik_kisa}'>"


    @property
    def icerik_kisa(self):
        if len(self.icerik) > 50:
            return self.icerik[:47] + "..."
        else:
            return self.icerik
class Yorum(models.Model):
    gonderi = models.ForeignKey(Gonderi, on_delete=models.DO_NOTHING, related_name="yorumlar")
    icerik = models.TextField(max_length=280)
    olusturulma = models.DateTimeField(auto_now_add=True)

    class Meta:
        verbose_name = "comment"
        verbose_name_plural = "comments"

    @property
    def icerik_kisa(self):
        if len(self.icerik) > 50:
            return self.icerik[:47] + "..."
        else:
            return self.icerik


    def __str__(self):
        return f"<Yorum baslik='{self.gonderi.baslik}' icerik='{self.icerik_kisa}'>"

blog/forms.py
from django import forms


class YorumFormu(forms.Form):
    icerik = forms.CharField(widget=forms.Textarea(attrs={"cols":20, "rows":3}), max_length=280, min_length=3)

blog/views.py
from datetime import datetime, timedelta

from django.http import Http404
from django.shortcuts import render, get_object_or_404, redirect

# Create your views here.

from blog.forms import YorumFormu
from blog.models import Gonderi, Yorum


def listele(request):
    return render(request, "blog/liste.html", {"blog_gonderileri": Gonderi.objects.all()})


def goruntule(request, gonderi_id):
    gonderi = get_object_or_404(Gonderi, id=gonderi_id)
    form = YorumFormu(request.POST)
    if request.method == "POST":
        last_comment_date = request.session.get("last_comment_date", datetime(1970, 1, 1, microsecond=1).isoformat())

        last_comment_date = datetime.strptime(last_comment_date, "%Y-%m-%dT%H:%M:%S.%f")
        now = datetime.now()
        if now - last_comment_date <= timedelta(seconds=30):
            form.add_error("icerik", f"En son {(now - last_comment_date).seconds} sn önce yorum atmışsınız, {30-(now - last_comment_date).seconds} beklemeniz gerekmektedir.")
        if form.is_valid():
            Yorum.objects.create(gonderi=gonderi, icerik=form.cleaned_data["icerik"])
            request.session["last_comment_date"] = datetime.now().isoformat()
    return render(request, "blog/goruntu.html",
                  {"blog_gonderisi": gonderi, "yorumlar": gonderi.yorumlar.all(), "form": form})

blog/templates/blog/goruntu.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{{ blog_gonderisi.baslik }}</title>
    <style>
        .baslik {
            font-family: sans-serif;
        }

        .icerik {
            font-family: monospace;
        }

        .yorum {
            border: black solid 1px;
            border-radius: 15px;
            margin: 5px;
            padding: 5px;
        }

        hr {
            color: red;
        }

        .progress-ring {

        }

        .progress-ring__circle {
            transition: 0.35s stroke-dashoffset;
            transform: rotate(-90deg);
            transform-origin: 50% 50%;
        }

    </style>
</head>
<body>
<h1 class="baslik">{{ blog_gonderisi.baslik }}</h1>
<p class="icerik">{{ blog_gonderisi.icerik }}</p>
<hr>
{% for yorum in yorumlar %}
    <div class="yorum">
        <p>{{ yorum.icerik }}</p>
        <small>- {{ yorum.olusturulma }}</small>
    </div>
{% endfor %}
<hr>
<form method="POST">
    {% csrf_token %}
    {{ form.errors }}
    <label> Yorum:
        {{ form.icerik }}
    </label>
    <button type="submit">
        Kaydet
        <svg
                class="progress-ring"
                width="15"
                height="15">
            <circle
                    class="progress-ring__circle"
                    style="stroke:green"
                    stroke-width="2"
                    fill="transparent"
                    r="6"
                    cx="7"
                    cy="8"></circle>
        </svg>
    </button>
    {#    <span id="sayi"></span>#}
</form>
<noscript>Javascript bu sitenin çalışması için elzem değildir.</noscript>
</body>
<script>
    const textarea = document.querySelector("#id_icerik");

    var circle = document.querySelector('circle');
    var radius = circle.r.baseVal.value;
    var circumference = radius * 2 * Math.PI;

    circle.style.strokeDasharray = `${circumference} ${circumference}`;
    circle.style.strokeDashoffset = `${circumference}`;

    function setProgress(percent) {
        circle.style.strokeDashoffset = circumference - percent / 100 * circumference;
    }

    const input = document.querySelector('input');
    setProgress(100);


    function guncelle() {
        let max = parseInt(textarea.maxLength);
        let icerik = textarea.value.length;
        {#let sayielem = document.querySelector("#sayi");#}
        let deger = max - icerik;
        {#sayielem.innerHTML = deger.toString();#}
        let kalan = (100 * icerik / max);
        if (kalan > 100){
            kalan = 100
        }
        let progress = 100 - kalan;
        if (progress < 15) {
            circle.style.stroke = 'red';
        } else if (progress < 25){
            circle.style.stroke = 'orange';
        } else {
            circle.style.stroke = 'green';
        }
        setProgress(progress);
    }

    textarea.addEventListener("keyup", guncelle);
    textarea.addEventListener("change", guncelle);
    guncelle()
</script>
</html>

blog/templates/blog/liste.html
<!DOCTYPE html>
<html lang="en">
<head><title>Blog Girdileri Listesi</title></head>
<body>

<h1>Blog Girdileri Listesi</h1>

{% for gonderi in blog_gonderileri %}
    <hr>
    <p><a href="/blog/gonderi/{{ gonderi.id }}">{{ gonderi.baslik }}</a></p>
    <p>{{ gonderi.icerik|truncatewords:10 }}</p>
{% endfor %}
</body>
</html>